<template>
  <navbar></navbar>
  <div class="body">
    <h1 class="text-center mt-8 text-3xl font-semibold">
      Entrega "{{ responseEntrega.nombreTareaEntregada }}"
    </h1>
    <h1 class="text-center mt-8 text-3xl font-semibold">{{ this.nombre }}</h1>
    <div class="text-sm breadcrumbs ml-12 mt-10">
    <ul>
      <li>
        <a
          @click="
            $router.push({
              path: elegirAsignaturaURL,
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Elegir Asignatura
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: elegirCursoURL,
              query: { asig_id: this.$route.query.asig_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
         Elegir Curso
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: listaTareasURL,
              query: { asig_id: this.$route.query.asig_id, curso_id: this.$route.query.curso_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Lista Tareas
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: detalleTareaURL,
              query: { asig_id: this.$route.query.asig_id, curso_id: this.$route.query.curso_id,tarea_id:this.$route.query.tarea_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Detalle Tarea
        </a>
      </li>
      <li>
        <a
          @click="
            $router.push({
              path: entregasTareaURL,
              query: { asig_id: this.$route.query.asig_id, curso_id: this.$route.query.curso_id,tarea_id:this.$route.query.tarea_id },
            })
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            class="w-4 h-4 mr-2 stroke-current"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"
            ></path>
          </svg>
          Entregas Tarea
        </a>
      </li>

      <li>
        <a
          @click="
            $router.push({
              path: detalleEntregaURL,
              query: { asig_id: this.$route.query.asig_id, curso_id: this.$route.query.curso_id,tarea_id:this.$route.query.tarea_id,entrega_id:this.$route.query.entrega_id },
            })
          "
        >
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="w-4 h-4 mr-2 stroke-current"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 13h6m-3-3v6m5 5H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"></path></svg>
      Detalle Entrega
        </a>
      </li>
      
      
    </ul>
  </div>

      <div
        class="bg-accent ml-44 mt-20 rounded-3xl h-10 w-2/12 text-center md:text-2xl text-xs font-bold"
      >
        {{ responseAsig.tipoAsignatura }}
      </div>
      <div class="bg-white rounded-3xl mr-44 ml-44" style="padding: 30px">
        <p class="text-xl h-52">{{ responseEntrega.descEntrega }}</p>
      </div>
      <div class="text-center mt-10 font-bold">
        <h1 class="text-bg-primary inline-flex mr-10">
          Fecha Entrega : {{ responseEntrega.fechaEntrega }}
        </h1>
        <h1 class="text-bg-primary inline-flex ml-10">
          Hora Entrega : {{ responseEntrega.horaEntrega }}
        </h1>
      </div>

  </div>
</template>

<script>
import axios from "axios";
import navbar from '../../components/Navbar.vue'
export default {
  components: { navbar },
  data() {
    return {
      msg: "",
      id: "",
      nombre: "",
      descripcion: "",
      fechaEntrega: "",
      horaEntrega: "",
      responseEntrega: [],
      asig: [],
      responseAsig: [],
      elegirAsignaturaURL:"",
      elegirCursoURL:"",
      listaTareasURL:"",
      detalleTareaURL:"",
      detalleEntregaURL:""
    };
  },
  mounted() {
    const consultaTarea = this.$route.query.tarea_id;
    const peticion = this.$route.query.entrega_id;
    const peticionAsig = this.$route.query.asig_id;
    const msg = "";
    var today = new Date();
    var day = today.getDate();
    var cadena = "";
    let vue = this;

    const response = axios
      .get("entregable/listarEntregablesAsociadosTarea/" + consultaTarea, {})
      .then((response) => {
        this.msg = response.data;
        vue.responseEntrega = response.data;
        console.log(vue.responseEntrega);
        vue.responseEntrega.forEach(function (valor, indice, array) {
          if (peticion == response.data[indice].entregableId) {
            vue.responseEntrega.nombreTareaEntregada =
              response.data[indice].nombreTareaEntregada;
            vue.responseEntrega.descEntrega = response.data[indice].descEntrega;
            vue.responseEntrega.fechaEntrega = response.data[
              indice
            ].fechaEntrega.substring(0, 10);
            vue.responseEntrega.horaEntrega = response.data[indice].horaEntrega;
          }
        });
        console.log(msg);
      });
    axios
      .get(
        "/administracionCursos/mostrarAsignaturasCurso/" +
          this.$route.query.curso_id,
        {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        }
      )
      .then((res) => {
        this.msg = res.data;
        vue.asig = res.data;
        vue.asig.forEach(function (valor, indice, array) {
          if (peticionAsig == res.data[indice].asigId) {
            vue.responseAsig = res.data[indice];
          }
        });

        console.log(response.data.asignaturas[indice]);

        this.fechaEntrega = this.fecha + this.hora;
      })
      .catch((err) => {
        console.log("index not defined");
      });
      axios
        .get("cuentas/usuario", {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((resp) => {

          if (resp.data.rol == "DOCENTE") {
            this.elegirAsignaturaURL=
              "/ElegirAsignatura";
            this.elegirCursoURL=
            "/ElegirCurso";
            this.listaTareasURL=
            "/ListaTareasDocente";
            this.detalleTareaURL=
            "/DetalleTareaDocente";
            this.entregasTareaURL=
            "/ListaEntregasDocente";
            this.detalleEntregaURL=
            "/DetalleEntrega"
          } else if (resp.data.rol == "ALUMNO") {
            this.elegirAsignaturaURL=
              "/ElegirAsignaturaAlumno";
            this.listaTareasURL=
            "/ListaTareasEstudiante";
            this.detalleTareaURL=
            "/DetalleTareaEstudiante";
            this.entregasTareaURL=
            "/ListaEntregasDocente"
          }

  })},
};
</script>

<style>
.body {
  height: 100vh;
}
</style>
